Skip to content
Permalink
Browse files

uplift node to v12 (#4191)

Co-authored-by: Lucie <lucie.daeye@gmail.com>
  • Loading branch information
Pomax and patjouk committed Feb 12, 2020
1 parent bdd752c commit e7d6907f9d0cd29a0594d5496b0b18d631bf36b8
Showing with 6 additions and 7 deletions.
  1. +4 −4 .travis.yml
  2. +1 −1 dockerfiles/Dockerfile.node
  3. +1 −1 package.json
  4. +0 −1 travis-scripts/npm-install.sh
@@ -60,16 +60,16 @@ jobs:
- coveralls
- name: npm tests
before_install:
- nvm install --lts=carbon
- nvm use --lts=carbon
- nvm install --lts=erbium
- nvm use --lts=erbium
install: "./travis-scripts/npm-install.sh"
script: npm test
- name: Percy tests
before_install:
# libgconf is required by cypress
- sudo apt-get install -y libgconf-2-4
- nvm install --lts=carbon
- nvm use --lts=carbon
- nvm install --lts=erbium
- nvm use --lts=erbium
install:
- "./travis-scripts/python-install.sh"
- "./travis-scripts/npm-install.sh"
@@ -1,4 +1,4 @@
FROM node:8-stretch-slim
FROM node:12-stretch-slim

WORKDIR /app/

@@ -69,7 +69,7 @@
"whatwg-fetch": "^3.0.0"
},
"engines": {
"node": "^8.9.0"
"node": "12.x"
},
"devDependencies": {
"browserslist": "^4.8.6",
@@ -2,5 +2,4 @@

set -x # echo commands before running them

npm install -g npm@latest # Needed to use npm ci
npm ci # Use package-lock.json

0 comments on commit e7d6907

Please sign in to comment.
You can’t perform that action at this time.